Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.pk
Interface WebLogicCertPathProviderMBean

All Superinterfaces:
  CertPathBuilderMBean, CertPathProviderMBean, CertPathValidatorMBean, weblogic.descriptor.DescriptorBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface WebLogicCertPathProviderMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, CertPathBuilderMBean, CertPathValidatorMBean

The WebLogicCertPathProviderMBean is used to configure the WebLogic CertPath provider. This provider does Certicom-style certificate validation.Rather than have its own configuration parameters, it used the server's trusted CA configuration as well as the server's weblogic.security.SSL.enforceConstraints command line switch. Since this provider does the same checking as the built-in SSL validation, and since SSL may be configured to run the validators, it prevents double work by looking for the special elements that SSL puts in the context to indicate that SSL has already done Certicom-style validation.Deprecation of MBeanHome and Type-Safe InterfacesThis is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through weblogic.management.MBeanHome. As of 9.0, the MBeanHome interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the javax.management.MBeanServerConnection interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getDescription()` The WebLogic CertPath provider's description.
`String` | `getName()` The name of this configuration.
`String` | `getProviderClassName()` The name of the Java class used to load the WebLogic CertPath provider.
`String` | `getVersion()` The WebLogic CertPath provider's version.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm`

Method Detail

### getDescription

    public String getDescription()

  The WebLogic CertPath provider's description.

  Specified by:
    `getDescription` in interface `ProviderMBean`
  Default value:
    "WebLogic CertPath Provider"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getName

    public String getName()

  Description copied from interface: `ProviderMBean`
  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

  Specified by:
    `getName` in interface `weblogic.management.commo.StandardInterface`
  Default value:
    "WebLogicCertPathProvider"
  A dynamic MBean attribute.
    false

### getProviderClassName

    public String getProviderClassName()

  The name of the Java class used to load the WebLogic CertPath provider.

  Specified by:
    `getProviderClassName` in interface `ProviderMBean`
  Default value:
    "weblogic.security.providers.pk.WebLogicCertPathProviderRuntimeImpl"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.
  Excluded: Should not appear in public javadocs
  Internal: Should not appear in public javadocs

### getVersion

    public String getVersion()

  The WebLogic CertPath provider's version.

  Specified by:
    `getVersion` in interface `ProviderMBean`
  Default value:
    "1.0"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD